<!doctype html>
<html>
    <head>
        <title>NestoRPi Engine - Remote controller for Raspberry Pi</title>
        <link rel="stylesheet" type="text/css" href="css/styles.css">
        <link rel="stylesheet" type="text/css" href="css/jquery-ui.min.css">
        <script src="js/third_party/adapter.min.js" type="text/javascript"></script>
        <script src="js/third_party/ansi_up.js" type="text/javascript"></script>
        <script src="js/third_party/FileSaver.js" type="text/javascript"></script>
        <script src="js/third_party/jquery-3.4.1.min.js" type="text/javascript"></script>
        <script src="js/third_party/jquery-ui.min.js" type="text/javascript"></script>
        <script src="js/third_party/RecordRTC.js" type="text/javascript"></script>
        <script src="js/nestorpi/const.js" type="text/javascript"></script>
        <script src="js/nestorpi/gui.js" type="text/javascript"></script>
        <script src="js/nestorpi/util.js" type="text/javascript"></script>
        <script src="js/nestorpi/input.js" type="text/javascript"></script>
        <script src="js/nestorpi/action_trigger.js" type="text/javascript"></script>
        <script src="js/nestorpi/webrtc.js" type="text/javascript"></script>
        <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="96x96" href="/favicon-96x96.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
        <meta charset="UTF-8">
    </head>
    <body>
        <div class="button_txt active what_this" ><a href="https://gitlab.com/franck.talbart/nestor_rpi_engine/-/wikis/home" target="_blank">What is this? (doc + src code)</a></div>
        <div id="header">
            <a href="http://nestorpi.talbart.fr"><div id="logo"></div></a>
            <div id="hotlinks">
                <div id="hotlinks_buttons">
                    <a id="monitoring_link" href="">
                        <div id="monitoring" title="Monitoring" class="button active"></div>
                    </a>
                    <a href="admin.html">
                        <div id="admin" title="Admin" class="button active"></div>
                    </a>
                    <a href="api/help">
                        <div id="help" title="Help" class="button active"></div>
                    </a>
                </div>
                <div id="login_form">
                    <label>Login: </label>
                    <input class="login_form_text" type="text" value="username" id="username" name="username">
                    <input class="login_form_text" type="password" id="password" name="password">
                    <button id="button_login" onclick="login($('#username').val(), $('#password').val())">Submit</button>
                </div>
            </div>
            <div id="title">
                <div id="robot_name"></div>
                <div id="ping_container"><span id="ping"></span> ms</div>
                <div> <ul id="robots"></ul></div>
            </div>
        </div>
        <div id="dashboard_sensors"></div>
        <div id="center">
            <div id="multimedia">
                <div id="mute" title="Mute" class="button mute active" onclick="mute()">Unmute</div>
                <div id="full_screen" title="Full Screen" class="button mute active" onclick="$('#video')[0].requestFullscreen();">Full screen</div>
                <div id="record" title="Record" class="button active" onclick="record()"></div>
                <div id="picture" title="Picture" class="button active" onclick="picture()"></div>
                <div id="settings" title="Settings" class="button active" onclick="show_hide('#options')"></div>
                <div id="log_button" title="Log" class="button active" onclick="show_hide('#log');$('#log').scrollTop($('#log')[0].scrollHeight);"></div>
                <div id="user_container">User(s) : <span id="users"></span></div>
            </div>
            <div id="log" class="window_center"></div>
            <div id="motd_container"><div id="button_close" onclick="show_hide('')"></div><div id="motd"></div></div>
            <div id="options" class="window_center">
                <hr/>
                <h2>Video Settings</h2>
                <table>
                    <tr>
                        <td>
                            <input type="number" id="bitrate" name="bitrate" required size="4"/>
                        </td>
                        <td>
                            <button onclick="window.webRtcServer.disconnect(function(){window.webRtcServer.connect({'bitrate': $('#bitrate').val()});})">Bitrate</button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="number" id="timeout" name="timeout" required size="4"/>s
                        </td>
                        <td>
                            <button onclick="window.webRtcServer.disconnect(function(){window.webRtcServer.connect({'timeout': $('#timeout').val()});})">Timeout</button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <select name="transport_type" id="transport_type">
                                <option value="">--Please choose an option--</option>
                                <option value="tcp" selected="selected">TCP</option>
                                <option value="udp">UDP</option>
                            </select>
                        </td>
                        <td>
                            <button onclick="window.webRtcServer.disconnect(function(){window.webRtcServer.connect({'rtptransport': $('#transport_type').val()});})">Transport</button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <select name="codec" id="codec">
                                <option value="H264hw">H264 HW Enc. (Best Perfs.)</option>
                                <option value="VP8">VP8</option>
                                <option value="VP9">VP9</option>
                            </select>
                        </td>
                        <td>
                            <button onclick="window.webRtcServer.disconnect(function(){window.webRtcServer.connect({});})">Codec</button>
                        </td>
                    </tr>
                </table>
                <hr/>
                <h2>Mouse</h2>
                <div id="mouse_settings"></div>
                <hr/>
                <h2>Keyboard</h2>
                <div id="keyboard_settings"></div>
                <hr/>
                <h2>Gamepad</h2>
                <div id="gamepad_settings"></div>
            </div>
            <div id="video_overlay">
                <div id="position_x" class="hidden"></div>
                <div id="position_y" class="hidden"></div>
                <video title="Click on the video to move the camera" id="video" oncontextmenu="return false;" muted></video>
            </div>
            <div id="camera"></div>
            <div>
                Mic. :<select id="audio_source"></select>
                <button onclick="window.webRtcServer.add_microphone(document.querySelector('#audio_source').value)">OK</button>

                <input type="text" class="textzone" id="talk" name="talk" required/>
                <button id="button_talk" onclick="talk($('#talk').val())">Talk</button>
            </div>
        <div id="canvas_odometry">
            <canvas id="grid_canvas_odometry" width="10000" height="10000"></canvas>
        </div>
        </div>
        <div id="right_panel">
            <div id="dashboard_actuators">
                <div id="gamepad_detected" class="button_actuator"></div>
                <div id="relay_fan" title="Fan" class="button_actuator hidden active"></div>
                <div id="relay_arm_up" title="Arm Up" class="button_actuator hidden active"></div>
                <div id="relay_arm_down" title="Arm Down" class="button_actuator hidden active"></div>
                <div id="relay_light" title="Light" class="button_actuator hidden active"></div>
                <div id="relay_motor_camera_move" title="Motor Camera Move" class="button_actuator hidden active"></div>
                <div id="relay_motor_left_forward" title="Motor Left Forward" class="button_actuator hidden"></div>
                <div id="relay_motor_left_backward" title="Motor Left Backward" class="button_actuator hidden"></div>
                <div id="relay_motor_right_forward" title="Motor Right Forward" class="button_actuator hidden"></div>
                <div id="relay_motor_right_backward" title="Motor Right Backward" class="button_actuator hidden"></div>
                <div id="relay_parking" title="Parking" class="button_actuator hidden active"></div>
                <div id="relay_battery" title="Battery" class="button_actuator hidden active"></div>
                <div id="klaxon" title="Klaxon" class="button_actuator hidden active"></div>
                <div id="sound" title="Sound" class="button_actuator hidden active"></div>
                <div id="servo_camera_left" title="Camera Left" class="button_actuator hidden active"></div>
                <div id="servo_camera_right" title="Camera Right" class="button_actuator hidden active"></div>
                <div id="servo_camera_up" title="Camera Up" class="button_actuator hidden active"></div>
                <div id="servo_camera_down" title="Camera Down" class="button_actuator hidden active"></div>
                <div id="robot_left" title="Left" class="button_actuator hidden active"></div>
                <div id="robot_shift_left" title="Shift Left" class="button_actuator hidden active"></div>
                <div id="robot_right" title="Right" class="button_actuator hidden active"></div>
                <div id="robot_shift_right" title="Shift Right" class="button_actuator hidden active"></div>
                <div id="robot_forward" title="Forward" class="button_actuator hidden active"></div>
                <div id="robot_backward" title="Backward" class="button_actuator hidden active"></div>
                <div id="servo_arm_right" title="Arm Right" class="button_actuator hidden active"></div>
                <div id="servo_arm_left" title="Arm Left" class="button_actuator hidden active"></div>
                <div id="servo_arm_backward" title="Arm Backward" class="button_actuator hidden active"></div>
                <div id="servo_arm_forward" title="Arm Forward" class="button_actuator hidden active"></div>
                <div id="servo_arm_up" title="Arm Up" class="button_actuator hidden active"></div>
                <div id="servo_arm_down" title="Arm Down" class="button_actuator hidden active"></div>
                <div id="servo_pliers" title="Pliers" class="button_actuator hidden active"></div>
                <div id="servo_pliers_turn" title="Pliers Turn" class="button_actuator hidden active"></div>
                <div id="l298n_front_left" title="L298N Left Front" class="button_actuator hidden"></div>
                <div id="l298n_front_right" title="L298N Right Front" class="button_actuator hidden"></div>
                <div id="l298n_back_left" title="L298N Left Back" class="button_actuator hidden"></div>
                <div id="l298n_right_left" title="L298N Right Back" class="button_actuator hidden"></div>
                <div id="speed">Speed</div>
            </div>
            <span class="small_center" id="mode"></span>
            <div id="chat">
                <widgetbot
                    server="761533860353409034"
                    channel="761533860809932812"
                    width="100%"
                    height="500"
                ></widgetbot>
                <script src="https://cdn.jsdelivr.net/npm/@widgetbot/html-embed"></script>
            </div>
        </div>
       <script type="text/javascript">
            $( function() {
                $( "#speed" ).slider();
                $( "#speed" ).slider("value", 50);
            } );
        </script>
    </body>
    <footer><div id="separator_footer"></div>NestoRPi Engine - <span id="version">Version unknown</span> - <a href="https://franck.talbart.fr" target="_blank">Franck Talbart</a><a href="https://franck.talbart.fr" target="_blank"><div id="logo_footer" class="button active"></div></a></footer>
</html>
